use core::{ffi::{CStr, VaList, c_char, c_int, c_long, c_longlong, c_size_t, c_uchar, c_void}, ptr::null_mut};

#[allow(non_camel_case_types)]
pub enum DIR {}

#[allow(non_camel_case_types)]
#[repr(C)]
pub struct dirent {
    // Not implemented
}

#[unsafe(no_mangle)]
pub unsafe extern "C" fn __xkbc_opendir(name: *const c_char) -> *mut DIR {
    todo!()
}

#[unsafe(no_mangle)]
pub unsafe extern "C" fn __xkbc_readdir(dirp: *mut DIR) ->  *mut dirent {
    todo!()
}

#[unsafe(no_mangle)]
pub unsafe extern "C" fn __xkbc_closedir(dirp: *mut DIR) -> c_int {
    todo!()
}
